#include <Arduino.h>
#include <TimeLib.h>
#include "display.h"

#define DOT_MIN_LOW PORTC .0   // board PIN D37
#define DOT_MIN_HIGH PORTC .1  // board PIN D36
#define DOT_SEC_LOW PORTC .2   // board PIN D35
#define DOT_SEC_HIGH PORTC .3  // board PIN D34

void display_init() {
  DDRC |= 0b00001111;
  DDRF = 0b11111111;
  DDRK = 0b11111111;
  DDRL = 0b11111111;
}

void dots_off() {
  PORTC &= 0b11110000;
}

void dots_on() {
  PORTC &= 0b11110101;
  PORTC |= 0b00000101;
}

void colons_on() {
  PORTC |= 0b00001111;
}
