#include <Arduino.h>

 void heartbeat_init() {
    cli();//stop interrupts
    TCCR1A = 0b00000001; // 00 channel A off, 00 channel B off, 00 channel C off, 01 mode4
    TCCR1B = 0b00000010;// 000 unused, 00 mode 15, 001 internal clock prescaler 1/8
    TCNT1  = 0;//initialize counter value to 0
    OCR1A = 9999; // count to 9999 - 10 ms
    TIMSK1 |= (1 << OCIE1A); // enable timer compare interrupt
    sei();//allow interrupts
}

ISR(TIMER1_COMPA_vect){ // timer1 interrupt 100Hz
}
